> ## Name

> PixelShaderConstantI - 3D API pixel shader constantI

> ## Usage

> PixelShaderConstantI[i] = int4(i1, i2, i3, i4)

> ## Valid Enumerants

> ii: integer values

> ## Description

> Set a Direct3D pixel shader constant. See the IDirect3DDevice9::SetPixelShaderConstantI method for details.

> The standard reset callback does nothing.

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> PixelShaderConstant, PixelShaderConstant1, PixelShaderConstant2, PixelShaderConstant3, PixelShaderConstant4, PixelShaderConstantB, PixelShaderConstantF, VertexShaderConstant, VertexShaderConstant1, VertexShaderConstant2, VertexShaderConstant3, VertexShaderConstantB, VertexShaderConstantF, VertexShaderConstantI, vertexShaderConstant4, FragmentEnvParameter, FragmentLocalParameter, VertexEnvParameter, VertexLocalParameter